const handler = {
  get: function(target, property, receiver) {
    return receiver.get(property);
  }
};
Reflect.setPrototypeOf(Map.prototype, new Proxy(Map.prototype, handler));

const langsAndAuthors = new Map();

langsAndAuthors.set('Java', 'Gosling');
langsAndAuthors.set('JavaScript', 'Eich');

console.log(langsAndAuthors.Java);
console.log(langsAndAuthors.JavaScript);